Bug 1478653 - [RESTRAINT] Error uploading: /var/log/messages Bad Request [soup_http_error_quark, 400]
[RESTRAINT] Error uploading: /var/log/messages Bad Request [soup_http_error_q...
Status: NEW
Product: Restraint
Classification: Community
Component: general (Show other bugs)
0.1.30
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: beaker-dev-list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 12:28 EDT by PaulB
Modified: 2017-08-08 00:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PaulB 2017-08-05 12:28:48 EDT
Description of problem:
Issue was seen while running ktst_msg on KVM Guest (x86_64 2 vcpus).
During testing task ktst_msg hit LWD due to:
   Error uploading: /var/log/messages Bad Request [soup_http_error_quark, 400]
Looking at the job logs we see the ktst-fcntl subtask completed successfully, 
but ktst_msg hit LWD having issue uploading the logs.

Version-Release number of selected component (if applicable):
 distro: RHEL-ALT-7.4-20170803.n.0 Server x86_64
 kernel-alt: 4.11.0-22.el7a 
 restraint: 0.1.30-1.el7_2
 task: /kernel/misc/ktst_msg 1.2-2
 
How reproducible:
 I was not able to reproduce.

Steps to Reproduce:
1. Install target system listed in comment#1 with RHEL-ALT-7.4-20170803.n.0 
2. Install kernel-alt 4.11.0-22.el7a 
3. run  /kernel/misc/ktst_msg

Actual results:
https://beaker.engineering.redhat.com/recipes/4133840#task59428745
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/08/19897/1989782/4133840/59428745/harness.log
---<-snip->---
Uploading dmesg.log ....done
<no matches>
Uploading avc.log ..done
..use_pty:FALSE /usr/share/restraint/plugins/run_task_plugins /usr/share/restraint/plugins/run_plugins
<no matches>
Uploading avc.log ..done
...failed
Error uploading: /var/log/messages Bad Request [soup_http_error_quark, 400]
---<-snip->---

Expected results:
 successful uploading of task logs 


Additional info:
Comment 2 Dan Callaghan 2017-08-08 00:53:49 EDT
Looking on the Beaker LC side I think the only case where it would return 400 for a result log PUT request is if there is some mismatch between the Content-Range and Content-Length headers:

 941         if content_range:
 942             # a few sanity checks
 943             if req.content_length != (content_range.stop - content_range.start):
 944                 raise BadRequest('Content length does not match range length')
 945             if content_range.length and content_range.length < content_range.stop:
 946                 raise BadRequest('Total length is smaller than range end')

Note You need to log in before you can comment on or make changes to this bug.